curl -X GET https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0 \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0",
{
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Campaign found successfully!",
"data": {
"_id": "60f7a1b2c3d4e5f6a7b8c9d0",
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/...",
"status": "ACTIVE",
"total": 150,
"stats": {}
}
}
{
"success": false,
"message": "Campaign not found!"
}
Campaigns
Get Campaign
Returns detailed data for a specific campaign.
GET
/
campaigns
/
{campaignId}
curl -X GET https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0 \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0",
{
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Campaign found successfully!",
"data": {
"_id": "60f7a1b2c3d4e5f6a7b8c9d0",
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/...",
"status": "ACTIVE",
"total": 150,
"stats": {}
}
}
{
"success": false,
"message": "Campaign not found!"
}
Headers
string
required
Your LinkedCamp API token.
Path Parameters
string
required
The ID of the campaign. You can get this from the campaign URL or from the List Campaigns endpoint.
Response
boolean
Whether the request was successful.
string
A human-readable result message.
object
curl -X GET https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0 \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0",
{
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Campaign found successfully!",
"data": {
"_id": "60f7a1b2c3d4e5f6a7b8c9d0",
"title": "Outreach Campaign",
"url": "https://www.linkedin.com/search/results/people/...",
"status": "ACTIVE",
"total": 150,
"stats": {}
}
}
{
"success": false,
"message": "Campaign not found!"
}
⌘I
